<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:util="http://www.pnp-software.com/util"
  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  version="2.0" exclude-result-prefixes="#all">
  
  <xd:doc type="stylesheet">
    <xd:short>This stylesheet converts an XFeature project (normally named *.xfp) 
    file into an ant files that does the weaving according to the *.xfp file.</xd:short>
    <xd:detail>
      Several ant targets are created for each woven element.
    </xd:detail>
    <xd:cvsId>$Id: xfproject2ant_example.xsl,v 1.1 2005/11/10 10:25:05 rohliko Exp $</xd:cvsId>
    <xd:author>rohlik</xd:author>
    <xd:copyright>2005, ETH and P&amp;P Software GmbH</xd:copyright>
  </xd:doc>
  
  <xsl:output indent="yes" method="xml"/>
  
  <xd:doc>
    Main template. Apply templates for woven element
  </xd:doc>
  <xsl:template match="/XFeatureProject">
    <project default="default" name="{@name}">
      <description>Ant Build file for the XFeature</description>
      
      <target name="default">
        <echo><xsl:value-of select="@description"/></echo>
        
        <ant antfile="build.xml" dir=".." target="generate" inheritall="false">
          <property name="FamilyXFM" location="{FamilyXFM/@location}"/>
          <property name="FamilyXDM" location="{FamilyXDM/@location}"/>
          <property name="AppXFMM" location="{AppXFMM/@location}"/>
          <property name="AppXDM" location="{AppXDM/@location}"/>
          <property name="TmpLoc" location="{TmpLoc/@location}"/>
        </ant>
        <ant target="clean"/>
      </target>
      
      <target name="clean">
        <delete file="DisplayModelVerifier.xsl"/>
        <delete file="xfmAddUniqueNames.xfm"/>
        <delete file="xfmm2xdm.xsl"/>
        <delete file="xfmMacroProcessing.xfm"/>
      </target>	
      
    </project>
  </xsl:template>
</xsl:stylesheet>    
